{% for slide in pre.slides %}
    \section{ {{ slide.section }} }
    \begin{frame} {}
        \centering \huge {{ slide.section }}
    \end{frame}

    {% for subs in slide.subs %}
        \subsection{ {{ subs.sub }} }
        \begin{frame}
        \frametitle{ {{ subs.sub }} }
        {% if subs.column %}
            \begin{columns}
            \begin{column}{0.38\linewidth}
            \begin{itemize}
            {% for point in subs.column.points %}
                \item \alert<+> { {{ point }} }
            {% endfor %}
            \end{itemize}
            \end{column}
            \begin{column}{0.64\linewidth}
            {% for content in subs.column.content %}
                \only<{{loop.index}}>{
                {% if content.endswith("jpg") or content.endswith("png") %}
                    \includegraphics[width=\linewidth]{{ "{resources/" + content + "}"}}
                {% else %}
                    \lstset{basicstyle=\fontsize{7}{11}\selectfont\ttfamily,breaklines=true}
                    \lstinputlisting[frame=single]{{ "{resources/" + content + "}"}}
                {% endif %}
                }
            {% endfor %}
            \end{column}
            \end{columns}
        {% else %}
            {% if subs.points %}
                \begin{itemize}
                {% for point in subs.points %}
                    \item \alert<+> { {{ point }} }
                {% endfor %}
                \end{itemize}
            {% elif subs.content %}
                {% for content in subs.content %}
                    \only<{{loop.index}}>{
                    {% if content.endswith("jpg") or content.endswith("png") %}
                        \includegraphics[width=\linewidth]{{ "{resources/" + content + "}"}}
                    {% else %}
                        \lstset{basicstyle=\fontsize{7}{11}\selectfont\ttfamily,breaklines=true}
                        \lstinputlisting[frame=single]{{ "{resources/" + content + "}"}}
                    {% endif %}
                    }
                {% endfor %}
            {% endif %}
        {% endif %}
        \end{frame}
    {% endfor %}
{% endfor %}